Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Users

Get User
GET /users/{userId}
https://api.relesysapp.net/api/v1.1/users/{userId}
Get a single user object based on their ID
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
userId string / guid The user's unique identifier required
Responses
application/json
JSON
{"data":{"id":"a67d3d36-c51e-4036-b6cf-3632143c9dc3","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-03-14T19:06:22.9442432Z","lastModifiedDateTime":"2026-03-14T19:06:22.9442432Z","externalId":"NUA","name":"New User A","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","primaryDepartmentId":"c11ad426-67b1-4c75-a1d6-56a9479a315d","additionalDepartments":[{"id":"80897699-859b-4653-84bd-3fe8da30736c","dataSource":"RelesysAPI"}],"userGroups":[{"id":"831a2565-27d5-440c-a06b-621c1e3f8d7a","dataSource":"RelesysAPI"},{"id":"ec3d2802-a22a-4657-9657-9cbb4dd528b3","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2"},"employmentType":"Full-time employee"}}
object
  data object      
   additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   id string / guid      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   secondaryEmail string      
   secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string